package body MSHTML.IHTMLWindow8_Object is

   procedure Put_onmspointerdown
     (This : IHTMLWindow8_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLWindow8_Put_onmspointerdown,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onmspointerdown;

   function Get_onmspointerdown
     (This : IHTMLWindow8_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLWindow8_Get_onmspointerdown);
   end Get_onmspointerdown;

   procedure Put_onmspointermove
     (This : IHTMLWindow8_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLWindow8_Put_onmspointermove,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onmspointermove;

   function Get_onmspointermove
     (This : IHTMLWindow8_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLWindow8_Get_onmspointermove);
   end Get_onmspointermove;

   procedure Put_onmspointerup
     (This : IHTMLWindow8_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLWindow8_Put_onmspointerup,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onmspointerup;

   function Get_onmspointerup
     (This : IHTMLWindow8_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLWindow8_Get_onmspointerup);
   end Get_onmspointerup;

   procedure Put_onmspointerover
     (This : IHTMLWindow8_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLWindow8_Put_onmspointerover,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onmspointerover;

   function Get_onmspointerover
     (This : IHTMLWindow8_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLWindow8_Get_onmspointerover);
   end Get_onmspointerover;

   procedure Put_onmspointerout
     (This : IHTMLWindow8_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLWindow8_Put_onmspointerout,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onmspointerout;

   function Get_onmspointerout
     (This : IHTMLWindow8_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLWindow8_Get_onmspointerout);
   end Get_onmspointerout;

   procedure Put_onmspointercancel
     (This : IHTMLWindow8_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLWindow8_Put_onmspointercancel,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onmspointercancel;

   function Get_onmspointercancel
     (This : IHTMLWindow8_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLWindow8_Get_onmspointercancel);
   end Get_onmspointercancel;

   procedure Put_onmspointerhover
     (This : IHTMLWindow8_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLWindow8_Put_onmspointerhover,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onmspointerhover;

   function Get_onmspointerhover
     (This : IHTMLWindow8_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLWindow8_Get_onmspointerhover);
   end Get_onmspointerhover;

   procedure Put_onmsgesturestart
     (This : IHTMLWindow8_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLWindow8_Put_onmsgesturestart,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onmsgesturestart;

   function Get_onmsgesturestart
     (This : IHTMLWindow8_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLWindow8_Get_onmsgesturestart);
   end Get_onmsgesturestart;

   procedure Put_onmsgesturechange
     (This : IHTMLWindow8_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLWindow8_Put_onmsgesturechange,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onmsgesturechange;

   function Get_onmsgesturechange
     (This : IHTMLWindow8_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLWindow8_Get_onmsgesturechange);
   end Get_onmsgesturechange;

   procedure Put_onmsgestureend
     (This : IHTMLWindow8_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLWindow8_Put_onmsgestureend,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onmsgestureend;

   function Get_onmsgestureend
     (This : IHTMLWindow8_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLWindow8_Get_onmsgestureend);
   end Get_onmsgestureend;

   procedure Put_onmsgesturehold
     (This : IHTMLWindow8_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLWindow8_Put_onmsgesturehold,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onmsgesturehold;

   function Get_onmsgesturehold
     (This : IHTMLWindow8_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLWindow8_Get_onmsgesturehold);
   end Get_onmsgesturehold;

   procedure Put_onmsgesturetap
     (This : IHTMLWindow8_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLWindow8_Put_onmsgesturetap,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onmsgesturetap;

   function Get_onmsgesturetap
     (This : IHTMLWindow8_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLWindow8_Get_onmsgesturetap);
   end Get_onmsgesturetap;

   procedure Put_onmsgesturedoubletap
     (This : IHTMLWindow8_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLWindow8_Put_onmsgesturedoubletap,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onmsgesturedoubletap;

   function Get_onmsgesturedoubletap
     (This : IHTMLWindow8_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLWindow8_Get_onmsgesturedoubletap);
   end Get_onmsgesturedoubletap;

   procedure Put_onmsinertiastart
     (This : IHTMLWindow8_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLWindow8_Put_onmsinertiastart,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onmsinertiastart;

   function Get_onmsinertiastart
     (This : IHTMLWindow8_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLWindow8_Get_onmsinertiastart);
   end Get_onmsinertiastart;

   function Get_applicationCache
     (This : IHTMLWindow8_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLWindow8_Get_applicationCache);
   end Get_applicationCache;

   procedure Put_onpopstate
     (This : IHTMLWindow8_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLWindow8_Put_onpopstate,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onpopstate;

   function Get_onpopstate
     (This : IHTMLWindow8_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLWindow8_Get_onpopstate);
   end Get_onpopstate;

end MSHTML.IHTMLWindow8_Object;

